---
date: 2021-03-03T23:12:34+01:00
description: "Correctif OpenBSD: SSH"
title: "Syspatch : ssh-agent (2021/03/03)"
---

## Correctif de sécurité ssh-agent

Double libération (de mémoire) dans ssh-agent(1)

Pour toutes les architectures supportées :
- amd64, arm64, i386 par `syspatch`
- armv7, hppa, landisk, loongson, luna88k, macppc, sparc64 par [recompilation](#recompilation)

---

## Syspatch

Cette étape ne concerne que les architectures amd64, arm64, i386 !

```ksh
# syspatch
```

Ensuite redémarrez votre client ssh-agent !

## Recompilation

Pour toute autre architecture prise en charge par le projet OpenBSD, voici
les étapes de recompilation nécessaires :

⇒ Après avoir téléchargé le correctif, vérifiez-le, et appliquez-le :

- Pour 6.8 : 

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.8/common/015_sshagent.patch.sig
# signify -Vep /etc/signify/openbsd-68-base.pub -x 015_sshagent.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

- Pour 6.7 :

```ksh
# wget https://ftp.openbsd.org/pub/OpenBSD/patches/6.7/common/036_sshagent.patch.sig
# signify -Vep /etc/signify/openbsd-67-base.pub -x 036_sshagent.patch.sig \
        -m - | (cd /usr/src && patch -p0)
``` 

⇒ La phase de recompilation : 

```ksh
$ cd /usr/src/usr.bin/ssh
# make obj
# make clean
# make
# make install
```

Ensuite redémarrez votre client ssh-agent !

---

Plus d'informations sur les pages d'Errata [6.8][1] et [6.7][2]…  
et leurs versions FR respectives : [6.8 FR][3] et [6.7 FR][4].

---

[1]: https://openbsd.org/errata68
[2]: https://openbsd.org/errata67
[3]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata68
[4]: https://wiki.openbsd.fr.eu.org/doku.php/openbsd.org/errata67

